## dvbackup 0.0.4

=== Makefile ===
#Flags for fast code:
#CFLAGS=-Wall -O3 -mcpu=i686 -fomit-frame-pointer 
CFLAGS=-Wall -O3 -fomit-frame-pointer 

#Flags for profiling:
#CFLAGS=-Wall -O3 -pg

#install into:
install_dir=/usr/local/bin

all: dvbackup dvconnect Makefile

dvconnect: dvconnect.c Makefile
	gcc $(CFLAGS) -DHAVE_LIBPOPT -o dvconnect dvconnect.c -lpopt -lpthread

dvbackup: dvbackup.c minilogo.c Makefile
	gcc $(CFLAGS) -I/usr/include -o dvbackup dvbackup.c minilogo.c -lpopt -lm -lz

install: dvbackup dvconnect
	install dvbackup $(install_dir)
	install dvconnect $(install_dir)
	strip $(install_dir)/dvconnect
	strip $(install_dir)/dvbackup

clean:
	rm dvbackup
	rm dvconnect

=== debian/changelog ===
dvbackup (1:0.0.4-7) unstable; urgency=low

  * QA upload
  * Major repackaging
    - rsbep separated into standalone package
      in order to fix improper packaging. (Closes: #449933)
  * debian/control
    - removed useless recommends (Closes: #488559)
      thanks to Justin B Rye <jbr@edlug.org.uk> 
    - fixing spelling in description (Closes: #363355, #557464)
      thanks to Simon Waters <simon@technocool.net>
         and to Pascal De Vuyst <pascal.devuyst@gmail.com>
    - Standards to 3.9.2
    - lintianization
    - added autotools-dev to take care of outdated config.(sub|guess)
  * debian/watch: updated (related to #449933)
  * debian/rules: completely rewritten
  * debian/compat: to 8
  * debian/copyright:
    - reformatted according to DEP5
    - rewritten to reflect packaging changes

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sat, 26 Nov 2011 00:02:15 +1100

dvbackup (0.0.4rj1-6.1) unstable; urgency=low

  * NMU.
  * debian/control: Remove build dependencies on automake1.8 and
    autoconf. (Closes: #473298)

 -- Eric Dorland <eric@debian.org>  Sat, 03 May 2008 00:37:25 -0400

dvbackup (0.0.4rj1-6) unstable; urgency=low

  * debian/watch: added
  * another fix for the target_cpu test

 -- Robert Jordens <jordens@debian.org>  Mon, 17 Jan 2005 13:47:27 +0100

dvbackup (0.0.4rj1-5) unstable; urgency=low

  * [Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>]
    + Missing Build-Depends automake1.8, autoconf
    + Repair broken test for i[3456]86 $target_cpu in configure.in
    + closes: Bug#253546
  * use AM_MAINTAINER_MODE to stop auto* from being invoked

 -- Robert Jordens <jordens@debian.org>  Fri, 11 Jun 2004 00:37:48 +0200

dvbackup (0.0.4rj1-4) unstable; urgency=low

  * debian/control: dvbackup has to be extra, because libdv-bin

 -- Robert Jordens <jordens@debian.org>  Wed,  9 Jun 2004 17:19:13 +0200

dvbackup (0.0.4rj1-3) unstable; urgency=low

  * updated examples/rundvbackup
  * added examples/logotemplate.ppm and templating in examples/rundvbackup
  * debian/control: recommends: star and afio; they are also good 
    (better) choices as backup engines

 -- Robert Jordens <jordens@debian.org>  Mon, 15 Mar 2004 23:10:41 +0100

dvbackup (0.0.4rj1-2) unstable; urgency=medium

  * configure.in: cpu detecting during compile should work, fixes FTBFS'

 -- Robert Jordens <jordens@debian.org>  Mon,  8 Mar 2004 12:04:21 +0100

dvbackup (0.0.4rj1-1) unstable; urgency=low

  * Initial Release; closes: Bug#233799

 -- Robert Jordens <jordens@debian.org>  Wed, 18 Feb 2004 11:22:43 +0100

=== debian/control ===
Source: dvbackup
Section: admin
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 8), dh-buildinfo, docbook-to-man,
 libpopt-dev, zlib1g-dev
Standards-Version: 3.9.2
Homepage: http://dvbackup.sourceforge.net/

Package: dvbackup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdv-bin (>= 0.99)
Recommends: rsbep (>= 0.0.5)
Suggests: star, afio, cpio
Description: backup tool using MiniDV camcorders
 Dvbackup hides the data it receives on standard input in a perfectly
 legal DV (digital video) stream. This allows you to use your DV camcorder
 and your DV cartridges as a potent mass storage system. Obviously, your
 system and your camcorder have to be connected via IEEE1394 (aka Firewire,
 iLink).
 .
 Current digital camcorders can save approximately 13 GB of data on those 
 tiny DV cartridges at a speed of 3.6 MB/sec. That's faster than most 
 DAT streamers which only work at 1 MB/sec or less. dvbackup can not use all of 
 the data, but 10 GB should be good enough for everyone.
 .
 To bring the data on tape, you have to use an additional utility, called 
 dvconnect, which is included in libdv-bin.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# see http://lists.debian.org/debian-devel-announce/2011/09/msg00001.html
# Also it does hardening by default, see http://wiki.debian.org/Hardening
-include /usr/share/dpkg/default.mk

MANPAGES := $(patsubst debian/%.sgml, debian/%.1, $(wildcard debian/*.sgml))
$(MANPAGES):
	docbook-to-man $(patsubst %.1, %.sgml, $@) > $@

%:
	dh $@

override_dh_auto_clean:
	$(RM) $(MANPAGES) dvbackup dvconnect

override_dh_auto_build: $(MANPAGES)
	dh_auto_build -- CFLAGS="$(CFLAGS)"

override_dh_auto_install:
	dh_install
	dh_buildinfo

get-orig-source:
	uscan --noconf --force-download --repack --rename --download-current-version --destdir=.

=== debian/watch ===
version=3
http://sf.net/dvbackup/dvbackup-(.*)\.tar\.gz
